
Libprelude - Feature #16

More flexible failover timeout configuration.
Status: Closed Start date:  

Priority: Low Due date:  

Assignee: Yoann VANDOORSELAERE % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: wontfix   

Description

The following option should be added to report plugins failover as well as standard sensor failover:

failover_initial_timeout -> Value of the initial timeout when failover start.

failover_increase_method -> When an attempt to recover from failover fail, it will

increase the current failover timeout depending on it's value. Accepted value are

'+ y' and 'x y'. In the first case, y will be added to the current timeout value.

In the second case, the current timeout value will be multiplicated by y.

History

#1 - 06/06/2004 11:51 PM - Yoann VANDOORSELAERE

- Status changed from New to Assigned

#2 - 04/04/2008 12:12 PM - Yoann VANDOORSELAERE

- Status changed from Assigned to Closed

- Resolution set to wontfix

The current failover behavior seem to fit most of our users. There is no need to come to the burden of creating generic failover option for all the

sensors.

#3 - 04/29/2009 12:26 PM - Yoann VANDOORSELAERE

- Project changed from PRELUDE SIEM to Libprelude

- Category deleted (1)
